Bug 1479755 - backup fails if changelog is enabled [rhel-7.4.z]
backup fails if changelog is enabled [rhel-7.4.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.4
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: mreynolds
Viktor Ashirov
Marc Muehlfeld
: ZStream
Depends On: 1476322
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 06:51 EDT by Jaroslav Reznik
Modified: 2017-10-13 09:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.6.1-18.el7_4
Doc Type: Bug Fix
Doc Text:
Previously, if replication was enabled and a changelog file existed, performing a backup on this master server failed. This update sets the internal options for correctly copying a file. As a result, creating a backup now succeeds in the mentioned scenario.
Story Points: ---
Clone Of: 1476322
Environment:
Last Closed: 2017-09-05 07:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2017-08-09 06:51:23 EDT
This bug has been copied from bug #1476322 and has been proposed to be backported to 7.4 z-stream (EUS).
Comment 5 Viktor Ashirov 2017-08-14 10:29:16 EDT
I modified test_basic_backup from basic test suite to run with MMR topology instead of standalone:

===================================================================== test session starts =====================================================================
platform linux2 -- Python 2.7.5, pytest-3.2.1, py-1.4.34, pluggy-0.4.0 -- /usr/bin/python
cachedir: .cache
metadata: {'Python': '2.7.5', 'Platform': 'Linux-3.10.0-693.el7.x86_64-x86_64-with-redhat-7.4-Maipo', 'Packages': {'py': '1.4.34', 'pytest': '3.2.1', 'pluggy': '0.4.0'}, 'Plugins': {'beakerlib': '0.7.1', 'html': '1.15.1', 'cov': '2.5.1', 'metadata': '1.5.0'}}
DS build: 1.3.6.1
389-ds-base: 1.3.6.1-18.el7_4
nss: 3.28.4-8.el7
nspr: 4.13.1-1.0.el7_3
openldap: 2.4.44-5.el7
svrcore: 4.1.3-2.el7

rootdir: /mnt/tests/rhds/tests/upstream/ds/dirsrvtests, inifile:
plugins: metadata-1.5.0, html-1.15.1, cov-2.5.1, beakerlib-0.7.1
collected 1 item                                                                                                                                               

ticket49334_test.py::test_basic_backup PASSED

================================================================== 1 passed in 30.02 seconds ==================================================================

Marking as VERIFIED.
Comment 7 errata-xmlrpc 2017-09-05 07:23:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2569

Note You need to log in before you can comment on or make changes to this bug.